# classes/phing/tasks/ext/ExtractBaseTask.php

Base class for extracting tasks such as Unzip and Untar.

author
  Joakim Bodin <joakim.bodin+phing@gmail.com>
package
  phing.tasks.ext
since
  2.2.0
version
  $Id: ExtractBaseTask.php 552 2009-08-29 12:18:13Z mrook $

## \ExtractBaseTask
jump to top

Base class for extracting tasks such as Unzip and Untar.

This is very closely based on the ANT class of the same name.

Extends from
  \MatchingTask
author
  Joakim Bodin <joakim.bodin+phing@gmail.com>
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.ext
since
  2.2.0
version
  $Id: ExtractBaseTask.php 552 2009-08-29 12:18:13Z mrook $

### Properties

`\PhingFile $file= ''`

Details

Type
  \PhingFile

`$filesets= 'array'`
Default value `array` Details

Type

`$removepath= ''`
Details

Type

`\PhingFile $todir= ''`

Details

Type
  \PhingFile

### Methods

`createFileSet( ) : \FileSet`
Add a new fileset.
Returns

Type | Description
--- | ---
\FileSet |

`extractArchive( $compressedArchiveFile ) :`
abstract
Parameters

Name | Type | Description
--- | --- | ---
$compressedArchiveFile |  |

`isDestinationUpToDate( $compressedArchiveFile ) : boolean`
Parameters

Name | Type | Description
--- | --- | ---
$compressedArchiveFile |  |

Returns

Type | Description
--- | ---
boolean |

`listArchiveContent( $compressedArchiveFile ) :`
abstract
Parameters

Name | Type | Description
--- | --- | ---
$compressedArchiveFile |  |

`main( ) :`
do the work
Details

throws

`setFile( \PhingFile $file ) :`
Set the name of the zip file to extract.
Parameters

Name | Type | Description
--- | --- | ---
$file | \PhingFile | zip file to extract

`setRemovePath( $removepath ) :`
Parameters

Name | Type | Description
--- | --- | ---
$removepath |  |

`setToDir( $todir ) :`
This is the base directory to look in for things to zip.
Parameters

Name | Type | Description
--- | --- | ---
$todir |  |

`validateAttributes( ) : void`
Validates attributes coming in from XML
Details

access
  private
throws

Documentation was generated by DocBlox 0.13.1.